## ros-eloquent-sros2 0.8.2

=== debian/changelog ===
ros-eloquent-sros2 (0.8.2-1bionic) bionic; urgency=high

  * bump setup.py package version
  * Merge pull request #222 <https://github.com/ros2/sros2/issues/222> from mikaelarguedas/eloquent_backports
    Eloquent backports
  * Fix list_keys verb
    backport and adaptation of https://github.com/ros2/sros2/pull/219 to eloquent
  * Update maintainer to point to ros-security mailing list + fix package.xml (#179 <https://github.com/ros2/sros2/issues/179>)
  * Update tutorials for Eloquent-style ros arguments. (#170 <https://github.com/ros2/sros2/issues/170>)
  * Contributors: Mikael Arguedas

 -- ROS Security Working Group <ros-security@googlegroups.com>  Mon, 15 Jun 2020 22:00:00 -0000

ros-eloquent-sros2 (0.8.1-1bionic) bionic; urgency=high

  * add profile for lifecycle nodes (#146 <https://github.com/ros2/sros2/issues/146>)
  * Cleanup changelog
  * Update version in setup.py
  * Contributors: Jacob Perron, Mikael Arguedas

 -- Michael Carroll <michael@openrobotics.org>  Tue, 12 Nov 2019 23:00:00 -0000

ros-eloquent-sros2 (0.8.0-1bionic) bionic; urgency=high

  * Install an XML catalog so we can look this schema up locally (#158 <https://github.com/ros2/sros2/issues/158>)
    Fixes a failure in test_policy_to_permissions when there's no internet.
  * Fix missing resources needed for ament (#160 <https://github.com/ros2/sros2/issues/160>)
  * Install package manifest (#159 <https://github.com/ros2/sros2/issues/159>)
  * Disable flaky test (#155 <https://github.com/ros2/sros2/issues/155>)
  * Add mypy tests to check static typing (#154 <https://github.com/ros2/sros2/issues/154>)
  * Topics starting with tilde need a slash right after (#152 <https://github.com/ros2/sros2/issues/152>)
  * Update message content to match create_key message
  * Create key and cert only once in generate_artifacts
  * Fix certificate start date to work regardless of the timezone (#148 <https://github.com/ros2/sros2/issues/148>)
  * Use older pytest compatible with Ubuntu Bionic (#145 <https://github.com/ros2/sros2/issues/145>)
  * Add request service permissions in generated policies  (#141 <https://github.com/ros2/sros2/issues/141>)
  * Replace openssl subprocess calls with Python cryptography library
    
    Remove use of subprocess for creating ca key and cert (#126)
    
    Obtain S/MIME signature using cryptography library (#129)
    
    Migrate permissions S/MIME to cryptography library (#136)
    
    Migrate create_key to cryptography library (#138)
    
    Remove now obsolete openssl dependency (#140)
  * Factor out the hardcoded name 'sros2testCA' into a constant DEFAULT_COMMON_NAME (#134 <https://github.com/ros2/sros2/issues/134>)
  * Improve create_key tests (#132 <https://github.com/ros2/sros2/issues/132>)
  * Add test for create_key verb (#125 <https://github.com/ros2/sros2/issues/125>)
  * Add basic create_keystore test. (#124 <https://github.com/ros2/sros2/issues/124>)
  * Add tests for list_keys verb (#123 <https://github.com/ros2/sros2/issues/123>)
  * Add tests for generate_policy verb (#122 <https://github.com/ros2/sros2/issues/122>)
  * Guard against empty ROS graph when generating policy (#118 <https://github.com/ros2/sros2/issues/118>)
  * Guard against invalid key names (#117 <https://github.com/ros2/sros2/issues/117>)
    In particular, guard against keys that only consist of whitespace and '/' characters.
  * Contributors: Emerson Knapp, Jacob Perron, Kyle Fazzari, Mikael Arguedas, Peter Baughman, Ruffin, Siddharth Kucheria

 -- Michael Carroll <michael@openrobotics.org>  Wed, 25 Sep 2019 22:00:00 -0000

ros-eloquent-sros2 (0.7.0-1bionic) bionic; urgency=high

  * Add generate_artifacts verb (#107 <https://github.com/ros2/sros2/issues/107>)
  * complete xml and not yaml files for create_permission (#104 <https://github.com/ros2/sros2/issues/104>)
  * Fix bug preventing generate_policy verb from working with publishers and services
  * Add missing attributes to test permissions XML file
  * add reference to schema in generated permission files (#84 <https://github.com/ros2/sros2/issues/84>)
  * Correct sros2 cli test folder location (#83 <https://github.com/ros2/sros2/issues/83>)
  * Use XML and XSLT to perform permission transform (#72 <https://github.com/ros2/sros2/issues/72>)
  * Contributors: Jacob Perron, Michael Carroll, Mikael Arguedas, Ruffin

 -- Michael Carroll <michael@openrobotics.org>  Tue, 07 May 2019 22:00:00 -0000

ros-eloquent-sros2 (0.6.2-1bionic) bionic; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Thu, 07 Feb 2019 23:00:00 -0000

ros-eloquent-sros2 (0.6.1-1bionic) bionic; urgency=high

  * Restructured sros2 to enable additional packages in this repository. (#74 <https://github.com/ros2/sros2/issues/74>)
  * Added generate_permissions verb + update policy definition to support services and actions (#71 <https://github.com/ros2/sros2/issues/71>)
  * Contributors: Jacob Perron, Ross Desmond

 -- Michael Carroll <michael@openrobotics.org>  Mon, 14 Jan 2019 23:00:00 -0000

ros-eloquent-sros2 (0.6.0-1bionic) bionic; urgency=high

  * Update package maintainer for sros2 (#70 <https://github.com/ros2/sros2/issues/70>)
  * separating identity and permission CAs (#67 <https://github.com/ros2/sros2/issues/67>)
  * ignore __pycache__ in git
  * raise FileNotFoundError if provided permission file doesn't exist (#64 <https://github.com/ros2/sros2/issues/64>)
  * refer to new xsd now that it's available (#62 <https://github.com/ros2/sros2/issues/62>)
  * fixup path of RANDFILE to match rest of tutorial (#61 <https://github.com/ros2/sros2/issues/61>)
  * Contributors: Michael Carroll, Mikael Arguedas, William Woodall

 -- Michael Carroll <michael@openrobotics.org>  Thu, 06 Dec 2018 23:00:00 -0000

ros-eloquent-sros2 (0.5.0-1bionic) bionic; urgency=high

  * Update docs for bouncy leveraging remapping for demo (#53 <https://github.com/ros2/sros2/issues/53>)
  * Windows tutorial tweaks (#58 <https://github.com/ros2/sros2/issues/58>)

